Index: pending.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/contrib/dbmirror/pending.c,v
retrieving revision 1.13
diff -c -r1.13 pending.c
*** pending.c	4 Aug 2003 00:43:10 -0000	1.13
--- pending.c	13 Sep 2003 14:50:22 -0000
***************
*** 437,442 ****
--- 437,452 ----
  				continue;
  			}
  		}						/* KeyUsage!=ALL */
+ #ifndef  NODROPCOLUMN
+ 		if(tTupleDesc->attrs[iColumnCounter-1]->attisdropped)
+ 		  {
+ 		    /**
+ 		     * This column has been dropped.
+ 		     * Do not mirror it.
+ 		     */
+ 		    continue;
+ 		  }
+ #endif
  		cpFieldName = DatumGetPointer(NameGetDatum(&tTupleDesc->attrs
  										 [iColumnCounter - 1]->attname));
  #if defined DEBUG_OUTPUT
Index: README.dbmirror
===================================================================
RCS file: /projects/cvsroot/pgsql-server/contrib/dbmirror/README.dbmirror,v
retrieving revision 1.5
diff -c -r1.5 README.dbmirror
*** README.dbmirror	6 Nov 2002 17:50:53 -0000	1.5
--- README.dbmirror	13 Sep 2003 14:50:23 -0000
***************
*** 66,72 ****
  
  To build the trigger run  make on the "Makefile" in the DBMirror directory.
  
! Postgres-7.3 Make Instructions:
  
    If you have already run "configure" in the pgsql-server directory 
    then run "make" in the dbmirror directory to compile the trigger.
--- 66,72 ----
  
  To build the trigger run  make on the "Makefile" in the DBMirror directory.
  
! Postgres-7.3 & 7.4  Make Instructions:
  
    If you have already run "configure" in the pgsql-server directory 
    then run "make" in the dbmirror directory to compile the trigger.
***************
*** 78,84 ****
  
    Run the following commands
  
!   gcc -fpic -I/usr/local/pgsql/include/server -c pending.c -DNOSCHEMAS
    ld -shared -o pending.so pending.o
  
    Assuming the postgres include files are in /usr/local/pgsql/include/server.  
--- 78,84 ----
  
    Run the following commands
  
!   gcc -fpic -I/usr/local/pgsql/include/server -c pending.c -DNOSCHEMAS -DNODROPCOLUMN
    ld -shared -o pending.so pending.o
  
    Assuming the postgres include files are in /usr/local/pgsql/include/server.  
***************
*** 236,241 ****
--- 236,242 ----
  Mandrake Linux 8.0(Limited Testing)
   -Postgres 7.2
   -Postgres 7.3
+  -Postgres 7.4
   -Perl 5.6
  
  
